<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: DCC Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DCC Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DCC:</div>
<div class="dyncontent">
<div class="center"><img src="classDCC__inherit__graph.png" border="0" usemap="#DCC_inherit__map" alt="Inheritance graph"/></div>
<map name="DCC_inherit__map" id="DCC_inherit__map">
<area shape="rect" id="node2" href="classI2C__reg__master.html" title="work.I2C_reg_master" alt="" coords="462,12,619,39"/><area shape="rect" id="node3" href="classDCC__SI5344__Control.html" title="work.DCC_SI5344_Control" alt="" coords="676,63,868,90"/><area shape="rect" id="node4" href="classpacd.html" title="work.pacd" alt="" coords="497,63,584,90"/><area shape="rect" id="node5" href="enumSimpleClock.html" title="SimpleClock(2)" alt="" coords="713,139,831,166"/><area shape="rect" id="node6" href="enumSimpleClock__altclkctrl__0.html" title="SimpleClock_altclkctrl_0" alt="" coords="453,114,628,140"/><area shape="rect" id="node7" href="enumSimpleClock__altclkctrl__0__sub.html" title="SimpleClock_altclkctrl\l_0_sub" alt="" coords="241,102,400,144"/><area shape="rect" id="node8" href="classpdts__endpoint.html" title="work.pdts_endpoint" alt="" coords="699,203,845,230"/><area shape="rect" id="node9" href="classpdts__ep__startup.html" title="work.pdts_ep_startup(2)" alt="" coords="453,164,628,191"/><area shape="rect" id="node10" href="classpdts__synchro.html" title="work.pdts_synchro(8)" alt="" coords="241,168,400,195"/><area shape="rect" id="node11" href="classpdts__rx__si5344.html" title="work.pdts_rx_si5344(2)" alt="" coords="455,215,626,242"/><area shape="rect" id="node12" href="classpdts__rx__phy.html" title="work.pdts_rx_phy(2)" alt="" coords="465,266,616,292"/><area shape="rect" id="node13" href="classpdts__dec8b10b.html" title="work.pdts_dec8b10b(2)" alt="" coords="236,266,405,292"/><area shape="rect" id="node14" href="classpdts__rx.html" title="work.pdts_rx(2)" alt="" coords="481,316,601,343"/><area shape="rect" id="node15" href="classpdts__cksum.html" title="work.pdts_cksum(2)" alt="" coords="247,316,394,343"/><area shape="rect" id="node16" href="classoutputlogic__crc16.html" title="work.outputlogic_crc16(2)" alt="" coords="5,316,188,343"/><area shape="rect" id="node17" href="classpdts__tstamp.html" title="work.pdts_tstamp(2)" alt="" coords="465,367,616,394"/><area shape="rect" id="node18" href="classcounter.html" title="work.counter" alt="" coords="721,254,823,280"/><area shape="rect" id="node19" href="classFAKE__DTS.html" title="work.FAKE_DTS" alt="" coords="709,304,835,331"/><area shape="rect" id="node20" href="classCONVERT__FIFO.html" title="work.CONVERT_FIFO(2)" alt="" coords="682,355,862,382"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDCC-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDCC_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classDCC.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a2d5d031c22159a96375a0fd6856c5f35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d5d031c22159a96375a0fd6856c5f35"></a>
<a class="el" href="classDCC.html#a2d5d031c22159a96375a0fd6856c5f35">DCC_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDCC__IO.html"> &lt;DCC_IO&gt;</a></td></tr>
<tr class="memitem:adbf66be47e4db7c96a68b5207490642b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf66be47e4db7c96a68b5207490642b"></a>
<a class="el" href="classDCC.html#adbf66be47e4db7c96a68b5207490642b">Convert_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classConvert__IO.html"> &lt;Convert_IO&gt;</a></td></tr>
<tr class="memitem:a3f50af30a812245a23dd8dca051a6af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f50af30a812245a23dd8dca051a6af5"></a>
<a class="el" href="classDCC.html#a3f50af30a812245a23dd8dca051a6af5">WIB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__IO.html"> &lt;WIB_IO&gt;</a></td></tr>
<tr class="memitem:adefe2d519fb3783d0b9629f94f543410"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adefe2d519fb3783d0b9629f94f543410"></a>
<a class="el" href="classDCC.html#adefe2d519fb3783d0b9629f94f543410">pdts_defs</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classpdts__defs.html"> &lt;pdts_defs&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa61576f79957fdff319b54223ae52408"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa61576f79957fdff319b54223ae52408"></a>
<a class="el" href="classDCC.html#aa61576f79957fdff319b54223ae52408">clk_sys_50Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classDCC.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9aabf90366fa8e65fe735b41050d0913"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9aabf90366fa8e65fe735b41050d0913"></a>
<a class="el" href="classDCC.html#a9aabf90366fa8e65fe735b41050d0913">DTS_CDS_SOURCE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe4def64f1f0010b5f66ad4521ee7e35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe4def64f1f0010b5f66ad4521ee7e35"></a>
<a class="el" href="classDCC.html#afe4def64f1f0010b5f66ad4521ee7e35">DTS_CDS_LOL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b1f74bc791e2fb06c7f36c1605fada2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b1f74bc791e2fb06c7f36c1605fada2"></a>
<a class="el" href="classDCC.html#a5b1f74bc791e2fb06c7f36c1605fada2">DTS_CDS_LOS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f2b3492e44c0c42542a900ab77cfbdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f2b3492e44c0c42542a900ab77cfbdf"></a>
<a class="el" href="classDCC.html#a5f2b3492e44c0c42542a900ab77cfbdf">DTS_CDS_SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac26e5ec7d3ece05164ceaecc14d2b28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac26e5ec7d3ece05164ceaecc14d2b28"></a>
<a class="el" href="classDCC.html#aac26e5ec7d3ece05164ceaecc14d2b28">DTS_CDS_SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3fb7a7a58504f94bcd92b16c653e23a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3fb7a7a58504f94bcd92b16c653e23a"></a>
<a class="el" href="classDCC.html#ae3fb7a7a58504f94bcd92b16c653e23a">DTS_SI5344_SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a683998dc0809eb37cb6144f13ea2a147"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a683998dc0809eb37cb6144f13ea2a147"></a>
<a class="el" href="classDCC.html#a683998dc0809eb37cb6144f13ea2a147">DTS_SI5344_SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ebfcefde38d32d40b3a9ab2a8375a8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ebfcefde38d32d40b3a9ab2a8375a8c"></a>
<a class="el" href="classDCC.html#a4ebfcefde38d32d40b3a9ab2a8375a8c">DTS_SI5344_INT_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5dcfb4737bae72f067938488323cf653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5dcfb4737bae72f067938488323cf653"></a>
<a class="el" href="classDCC.html#a5dcfb4737bae72f067938488323cf653">DTS_SI5344_OE_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a96dbce91e4d10bc070ea99486a4e736b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96dbce91e4d10bc070ea99486a4e736b"></a>
<a class="el" href="classDCC.html#a96dbce91e4d10bc070ea99486a4e736b">DTS_SI5344_RST_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad09898dbdaf6c7c66ebdfe2d459e2981"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad09898dbdaf6c7c66ebdfe2d459e2981"></a>
<a class="el" href="classDCC.html#ad09898dbdaf6c7c66ebdfe2d459e2981">DTS_SI5344_LOL_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab926972d4b40631e86d072169c672dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab926972d4b40631e86d072169c672dc"></a>
<a class="el" href="classDCC.html#aab926972d4b40631e86d072169c672dc">DTS_SI5344_LOS_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd8bc9f93951d68fdda4ee51a1acab45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd8bc9f93951d68fdda4ee51a1acab45"></a>
<a class="el" href="classDCC.html#afd8bc9f93951d68fdda4ee51a1acab45">DTS_SI5344_IN_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6db39e9274e52b9db362e6af57a2b60f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6db39e9274e52b9db362e6af57a2b60f"></a>
<a class="el" href="classDCC.html#a6db39e9274e52b9db362e6af57a2b60f">DUNE_clk_in_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a79e1111047271e873e97c422fa48380b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79e1111047271e873e97c422fa48380b"></a>
<a class="el" href="classDCC.html#a79e1111047271e873e97c422fa48380b">DUNE_clk_out_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0ba0046517f71884a97aab417036e0fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ba0046517f71884a97aab417036e0fa"></a>
<a class="el" href="classDCC.html#a0ba0046517f71884a97aab417036e0fa">DTS_data_clk_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac79bfcb6886d58715b2bf0ff7bfa63f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac79bfcb6886d58715b2bf0ff7bfa63f9"></a>
<a class="el" href="classDCC.html#ac79bfcb6886d58715b2bf0ff7bfa63f9">DTS_data_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a66418e432868496182551a8362b65886"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66418e432868496182551a8362b65886"></a>
<a class="el" href="classDCC.html#a66418e432868496182551a8362b65886">DTS_FP_CLK_OUT_DSBL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff55fd3df2a2c8062dcc50296f51cffd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff55fd3df2a2c8062dcc50296f51cffd"></a>
<a class="el" href="classDCC.html#aff55fd3df2a2c8062dcc50296f51cffd">DTS_FP_CLK_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed7e7d668140013cfbb0ef502647433b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7e7d668140013cfbb0ef502647433b"></a>
<a class="el" href="classDCC.html#aed7e7d668140013cfbb0ef502647433b">WIB_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_ID_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac154c2709ef887205d190f08067bef24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac154c2709ef887205d190f08067bef24"></a>
<a class="el" href="classDCC.html#ac154c2709ef887205d190f08067bef24">clk_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afeaf7f2f03976a81e927789305b47bea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afeaf7f2f03976a81e927789305b47bea"></a>
<a class="el" href="classDCC.html#afeaf7f2f03976a81e927789305b47bea">locked_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a80bbe01a293666e5a183ff2ce6575680"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80bbe01a293666e5a183ff2ce6575680"></a>
<a class="el" href="classDCC.html#a80bbe01a293666e5a183ff2ce6575680">reset_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a232f33cd754f10d1e5feb4966039db5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a232f33cd754f10d1e5feb4966039db5d"></a>
<a class="el" href="classDCC.html#a232f33cd754f10d1e5feb4966039db5d">ready_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a015526046279b2a6e133b8efd5b35144"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a015526046279b2a6e133b8efd5b35144"></a>
<a class="el" href="classDCC.html#a015526046279b2a6e133b8efd5b35144">convert_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2fdfa4cc6252b23d88682b007aa7ffca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fdfa4cc6252b23d88682b007aa7ffca"></a>
<a class="el" href="classDCC.html#a2fdfa4cc6252b23d88682b007aa7ffca">clk_FEMB_128Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd170f24ae036837075ea85ae93f1356"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd170f24ae036837075ea85ae93f1356"></a>
<a class="el" href="classDCC.html#afd170f24ae036837075ea85ae93f1356">convert_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a980b7d63db848b4963ce3182b4a502bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a980b7d63db848b4963ce3182b4a502bd"></a>
<a class="el" href="classDCC.html#a980b7d63db848b4963ce3182b4a502bd">clk_EB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a889a9fe7fa5b1a57b1fbb6716fd66e90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a889a9fe7fa5b1a57b1fbb6716fd66e90"></a>
<a class="el" href="classDCC.html#a889a9fe7fa5b1a57b1fbb6716fd66e90">convert_EB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2170964a9b812429d0f692180b13cabe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2170964a9b812429d0f692180b13cabe"></a>
<a class="el" href="classDCC.html#a2170964a9b812429d0f692180b13cabe">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DCC_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24084bbd842590ea662db96b29b67294"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24084bbd842590ea662db96b29b67294"></a>
<a class="el" href="classDCC.html#a24084bbd842590ea662db96b29b67294">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DCC_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DCC_8vhd_source.html#l00010">10</a> of file <a class="el" href="DCC_8vhd_source.html">DCC.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/<a class="el" href="DCC_8vhd_source.html">DCC.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
